import math

# Funkcja generująca dzielniki liczby n.
def wygeneruj_dzielniki(n):
  male_dzielniki = []  # Lista przechowująca mniejsze dzielniki
  duze_dzielniki = []  # Lista przechowująca większe dzielniki
  
  # Iteruj przez możliwe dzielniki do pierwiastka kwadratowego z n.
  for i in range(1, int(math.sqrt(n)) + 1):
    # Kiedy liczba i jest dzielnikiem n.
    if n % i == 0:
      # Dodaj dzielnik i do listy mniejszych dzielników.
      male_dzielniki.append(i)   
      if i * i != n:
        # Oraz drugi dzielnik (n/i), o ile nie jest to kwadrat pierwiastka.
        duze_dzielniki.append(n // i) 
  
  # Zwróć listę dzielników, przy czym musimy odwrócić listę dużych dzielników,
  # ponieważ jest ona w porządku malejącym.
  return male_dzielniki + duze_dzielniki[::-1]

def main():
  # Pobierz dane wejściowe: a, b, c, d
  a, b, c, d = map(int, input().split())

  # Uporządkuj zmienne a i b, tak aby a <= b.
  if a > b:
    a, b = b, a

  # Oblicz oczekiwaną wartość
  wymagana_liczba_kostek = c * d

  # Pobierz dzielniki liczby c i d
  dzielniki_c = wygeneruj_dzielniki(c)
  dzielniki_d = wygeneruj_dzielniki(d)

  # Przeszukaj możliwe kombinacje dzielników c i d.
  for dzielnik_c in dzielniki_c:
    for dzielnik_d in dzielniki_d:
      # Potencjalnym bokiem jest iloczyn dzielników.
      pierwszy_bok = dzielnik_c * dzielnik_d 
      # Zatem drugi bok to iloraz wymaganej liczby kostek 
      # przez długość pierwszego boku.
      drugi_bok = wymagana_liczba_kostek / pierwszy_bok       
      
      # Uporządkuj zmienne pierwszy_bok i drugi_bok, tak aby 
      # pierwszy_bok <= drugi_bok.
      if pierwszy_bok > drugi_bok:
        drugi_bok, pierwszy_bok = pierwszy_bok, drugi_bok 
        
      # I sprawdź, czy dane boki można uzyskać, tj. czy mieszczą
      # się w czekoladzie.
      if pierwszy_bok <= a and drugi_bok <= b:
        print("TAK")
        return

  # Jeśli nie znaleziono odpowiedniej kombinacji, wypisz "NIE"
  print("NIE")

main()
